%define oname   http-cookie

Name:       ruby-%{oname}
Version:    1.0.8
Release:    %mkrel 2
Summary:    Ruby library to handle HTTP cookies
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/sparklemotion/http-cookie
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
HTTP::Cookie is a Ruby library to handle HTTP Cookies based on RFC 6265.
It has with security, standards compliance and compatibility in mind, to behave
just the same as today's major web browsers. It has builtin support for the
legacy cookies.txt and the latest cookies.sqlite formats of Mozilla Firefox,
and its modular API makes it easy to add support for a new backend store.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Jan 15 2025 pterjan <pterjan> 1.0.8-2.mga10
+ Revision: 2139344
- Rebuild for incorrect auto requires

* Fri Dec 06 2024 pterjan <pterjan> 1.0.8-1.mga10
+ Revision: 2121973
- Update to 1.0.8

* Wed Dec 04 2024 pterjan <pterjan> 1.0.7-1.mga10
+ Revision: 2120987
- Update to 1.0.7

* Mon Aug 15 2022 pterjan <pterjan> 1.0.5-1.mga9
+ Revision: 1877718
- Update to 1.0.5

* Fri Mar 18 2022 pterjan <pterjan> 1.0.4-1.mga9
+ Revision: 1798499
- Update to 1.0.4

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1507770
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1290974
- Mageia 7 Mass Rebuild

* Sat Aug 19 2017 pterjan <pterjan> 1.0.3-1.mga7
+ Revision: 1141717
- Update to 1.0.3

* Wed Oct 19 2016 pterjan <pterjan> 1.0.2-4.mga6
+ Revision: 1062496
- Cleanup

* Sun Jan 03 2016 pterjan <pterjan> 1.0.2-3.mga6
+ Revision: 919206
- Fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 742009
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 688833
- Mageia 5 Mass Rebuild

* Mon May 26 2014 pterjan <pterjan> 1.0.2-1.mga5
+ Revision: 626798
- imported package ruby-http-cookie

